upf:
  systemManagement:
    display: "System Management"
    mml:
      - operation: "set"
        object: "n3 driver"
        display: "Set N3 Driver"
        params:
            - name: "type"
              type: "int"
              optional: "false"
              filter: ""
              display: "Type"
              comment: ""
            - name: "ip"
              type: "string"
              optional: "false"
              filter: ""
              display: "IP address"
              comment: ""
            - name: "mask"
              type: "string"
              optional: "false"
              filter: ""
              display: "Mask"
              comment: ""
            - name: "mac"
              type: "string"
              optional: "false"
              filter: ""
              display: "Mac address"
              comment: ""
            - name: "pci"
              type: "string"
              optional: "false"
              filter: ""
              display: "PCI address"
              comment: ""
      - operation: "set"
        object: "n4 ip"
        display: "Set N4 IP Address"
        params:
          - name: "ip"
            type: "string"
            optional: "false"
            filter: ""
            display: "IP Address"
            comment: ""
      - operation: "set"
        object: "n6 driver"
        display: "Set N6 Driver"
        params:
          - name: "type"
            type: "int"
            optional: "false"
            filter: ""
            display: "Type"
            comment: ""
          - name: "ip"
            type: "string"
            optional: "false"
            filter: ""
            display: "IP address"
            comment: ""
          - name: "mask"
            type: "string"
            optional: "false"
            filter: ""
            display: "Mask"
            comment: ""
          - name: "mac"
            type: "string"
            optional: "false"
            filter: ""
            display: "Mac address"
            comment: ""
          - name: "pci"
            type: "string"
            optional: "false"
            filter: ""
            display: "PCI address"
            comment: ""
      - operation: "set"
        object: "n9 driver"
        display: "Set N9 Driver"
        params:
          - name: "type"
            type: "int"
            optional: "false"
            filter: ""
            display: "Type"
            comment: ""
          - name: "ip"
            type: "string"
            optional: "false"
            filter: ""
            display: "IP address"
            comment: ""
          - name: "mask"
            type: "string"
            optional: "false"
            filter: ""
            display: "Mask"
            comment: ""
          - name: "mac"
            type: "string"
            optional: "false"
            filter: ""
            display: "Mac address"
            comment: ""
          - name: "pci"
            type: "string"
            optional: "false"
            filter: ""
            display: "PCI address"
            comment: ""
      - operation: "set"
        object: "dnn"
        display: "Set DNN"
        params:
          - name: "dnn"
            type: "string"
            optional: "false"
            filter: ""
            display: "DNN"
            comment: ""
          - name: "ip"
            type: "string"
            optional: "false"
            filter: ""
            display: "IP Address"
            comment: ""
      - operation: "set"
        object: "pfcp"
        display: "Set PFCP"
        params:
          - name: "path"
            type: "string"
            optional: "false"
            filter: ""
            display: "Path"
            comment: ""
          - name: "local"
            type: "string"
            optional: "false"
            filter: ""
            display: "Local IP Address"
            comment: ""
          - name: "remote"
            type: "string"
            optional: "false"
            filter: ""
            display: "Remote IP Address"
            comment: ""
      - operation: "set"
        object: "qos"
        display: "Set Qos"
        params:
          - name: "index"
            type: "string"
            optional: "false"
            filter: ""
            display: "Index"
            comment: ""
          - name: "5qi"
            type: "string"
            optional: "false"
            filter: ""
            display: "5qi"
            comment: ""
          - name: "priority"
            type: "int"
            optional: "false"
            filter: ""
            display: "Priority Level"
            comment: ""
          - name: "mbr"
            type: "string"
            optional: "false"
            filter: ""
            display: "MBR"
            comment: ""                  
          - name: "gbr"
            type: "string"
            optional: "false"
            filter: ""
            display: "GBR"
            comment: ""
      - operation: "set"
        object: "pccrule"
        display: "Set PCC Rule"
        params:
          - name: "index"
            type: "int"
            optional: "false"
            filter: "0~65535"
            display: "Index"
            comment: ""
          - name: "precedence"
            type: "int"
            optional: "false"
            filter: ""
            display: "Precedence"
            comment: ""
          - name: "qosindex"
            type: "int"
            optional: "false"
            filter: ""
            display: "QOS Index"
            comment: ""
          - name: "direction"
            type: "int"
            optional: "true"
            filter: '{"0":"NA", "1":"Uplink", "2":"Downlink", "3":"Bidirectionallink"}'
            display: "Filter Direction"
            comment: ""
          - name: "filter"
            type: "string"
            optional: "true"
            filter: ""
            display: "Filter"
            comment: ""
          - name: "appid"
            type: "string"
            optional: "true"
            filter: ""
            display: "Application ID"
            comment: ""
      - operation: "exec"
        object: "shell"
        display: "Execute Shell Command"
        params:
          - name: "cmd"
            type: "string"
            optional: "false"
            filter: ""
            display: "CMD"
            comment: "" 
      - operation: "reload"
        object: ""
        display: "Reload Config"
        params:                   